%define	major 0
%define libname %mklibname %{name} %{major}
%define develname %mklibname -d %{name}

Summary:	A library for reading and writing YAML
Name:		syck
Version:	0.55
Release:	%mkrel 9
License:	BSD (and D&R) 
Group:		System/Libraries
URL:		http://www.whytheluckystiff.net/syck/
Source0:	http://rubyforge.org/frs/download.php/4492/%{name}-%{version}.tar.gz
Patch0:		syck-shared.diff
BuildRequires:	autoconf2.5
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	libtool
BuildRequires:	re2c

%description
Syck is an extension for reading and writing YAML swiftly in popular scripting
languages. As Syck loads the YAML, it stores the data directly in your
language's symbol table.

%package -n	%{libname}
Summary:	A library for reading and writing YAML
Group:          System/Libraries

%description -n	%{libname}
Syck is an extension for reading and writing YAML swiftly in popular scripting
languages. As Syck loads the YAML, it stores the data directly in your
language's symbol table.

%package -n	%{develname}
Summary:	Static library and header files for the syck library
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Obsoletes:	%{mklibname syck -d 0}

%description -n	%{develname}
Syck is an extension for reading and writing YAML swiftly in popular scripting
languages. As Syck loads the YAML, it stores the data directly in your
language's symbol table.

This package contains the static syck library and its header files.

%prep

%setup -q -n %{name}-%{version}
%patch0 -p1

%build
export CFLAGS="%{optflags} -fPIC"

export WANT_AUTOCONF_2_5=1
rm -rf lib/.deps tests/.deps configure
touch INSTALL NEWS AUTHORS ChangeLog
libtoolize --copy --force; aclocal -I config; autoheader; automake --foreign --add-missing --copy; autoconf

%configure2_5x \
    --enable-shared

%make

%install
rm -rf %{buildroot}

%makeinstall_std


%clean
rm -rf %{buildroot}

%files -n %{libname}
%defattr(-,root,root)
%doc CHANGELOG COPYING README README.BYTECODE README.EXT RELEASE TODO
%{_libdir}/*.so.*

%files -n %{develname}
%defattr(-,root,root)
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/*.la




%changelog
* Mon Feb 07 2011 spuhler <spuhler> 0.55-9.mga1
+ Revision: 48278
- increase rel to 9 to be rebuilt
- removed buildroot definition from .spec
  removed the if mdkversion lines
- imported package syck


* Sat Dec 04 2010 Oden Eriksson <oeriksson@mandriva.com> 0.55-8mdv2011.0
+ Revision: 609169
- rebuild

* Sun Sep 20 2009 Thierry Vignaud <tv@mandriva.org> 0.55-7mdv2010.0
+ Revision: 445306
- rebuild

* Sun Jan 04 2009 Olivier Thauvin <nanardon@mandriva.org> 0.55-6mdv2009.1
+ Revision: 324878
- rebuild

* Wed Jul 09 2008 Oden Eriksson <oeriksson@mandriva.com> 0.55-5mdv2009.0
+ Revision: 232975
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Aug 07 2007 Oden Eriksson <oeriksson@mandriva.com> 0.55-4mdv2008.0
+ Revision: 59847
- make it provide shared libs as well


* Sun Jun 18 2006 Olivier Thauvin <nanardon@mandriva.org>
+2006-06-18 13:07:14 (37591)
- fix CFLAGS (my bad)

* Sun Jun 18 2006 Olivier Thauvin <nanardon@mandriva.org>
+2006-06-18 01:56:08 (37510)
- ensure it is build with -Fpic

* Wed Jun 07 2006 Olivier Thauvin <nanardon@mandriva.org>
+2006-06-07 22:20:40 (36796)
- add files

* Wed Jun 07 2006 Olivier Thauvin <nanardon@mandriva.org>
+2006-06-07 22:19:30 (36795)
- initial mandriva rpm

